package org.wcs.constant.enums.business;

import lombok.Getter;

@Getter
public enum LocationTypeEnum {

    UNKNOWN(0, "未知点位"), // 保底，未知点位
    STACKER(1, "堆垛机"), // 堆垛机 ---- 堆垛机站台也算
    CONVEY(2, "输送线"), // 箱式线
    TRAY_CONVEY(3, "托盘线"), // 托盘线
    AGV(4, "AGV"), // AGV
    SHUTTLE(5, "四项车"); // 四项车

    private final Integer code;
    private final String desc;

    LocationTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

}
